package intrinsic.mx.rpc.events;

public class HeaderEvent extends intrinsic.mx.rpc.events.AbstractEvent {

	/** Accessors */
	public Object header;

	/** Variables */
	public intrinsic.mx.messaging.messages.IMessage message;

	/** Constants */
	public static final String HEADER = "header";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public HeaderEvent() {
}

public HeaderEvent(String arg0) {
}

public HeaderEvent(String arg0, boolean arg1) {
}

public HeaderEvent(String arg0, boolean arg1, boolean arg2) {
}

public HeaderEvent(String arg0, boolean arg1, boolean arg2, Object arg3) {
}

public HeaderEvent(String arg0, boolean arg1, boolean arg2, Object arg3, intrinsic.mx.rpc.AsyncToken arg4) {
}

public HeaderEvent(String arg0, boolean arg1, boolean arg2, Object arg3, intrinsic.mx.rpc.AsyncToken arg4, intrinsic.mx.messaging.messages.IMessage arg5) {
}


/** Static Methods */
public static native intrinsic.mx.rpc.events.HeaderEvent createEvent(Object arg0, intrinsic.mx.rpc.AsyncToken arg1, intrinsic.mx.messaging.messages.IMessage arg2);

/** Methods */
public native String toString();
public native Object clone();

}
